commit:     8ea66e4defe9d2b9737e8100ffa517192e9489c2
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Wed Jun  9 17:51:59 2021 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Tue Jun 15 20:00:19 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ea66e4d

games-board/freedoko: EAPI bump, fix dependencies and bugs

Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://bugs.gentoo.org/655758
Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-board/freedoko/freedoko-0.7.16-r1.ebuild | 47 +++++++++++---------------
 1 file changed, 20 insertions(+), 27 deletions(-)

diff --git a/games-board/freedoko/freedoko-0.7.16-r1.ebuild 
b/games-board/freedoko/freedoko-0.7.16-r1.ebuild
index 2776366c552..3b960d8b53e 100644
--- a/games-board/freedoko/freedoko-0.7.16-r1.ebuild
+++ b/games-board/freedoko/freedoko-0.7.16-r1.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-inherit eutils flag-o-matic gnome2-utils
+EAPI=7
+
+inherit desktop flag-o-matic toolchain-funcs xdg
 
 DESCRIPTION="FreeDoko is a Doppelkopf-game"
 HOMEPAGE="http://free-doko.sourceforge.net";
@@ -25,12 +26,13 @@ SLOT="0"
 KEYWORDS="~amd64 ~x86"
 IUSE="+xskatcards +gnomecards +kdecards +openclipartcards +pysolcards 
+backgrounds"
 
-RDEPEND=">=dev-cpp/gtkmm-2.4:2.4"
-DEPEND="${RDEPEND}
-       app-arch/unzip
+RDEPEND="dev-cpp/gtkmm:3.0
+       media-libs/openal"
+DEPEND="${RDEPEND}"
+BDEPEND="app-arch/unzip
        virtual/pkgconfig"
 
-S=${WORKDIR}/FreeDoko_${PV}
+S="${WORKDIR}/FreeDoko_${PV}"
 
 src_unpack() {
        local cards=0
@@ -60,40 +62,31 @@ PATCHES=(
        "${FILESDIR}"/${PN}-0.7.16-gentoo.patch
 )
 
-src_prepare() {
-       default
-       export VARTEXFONTS="${T}/fonts" #652028
+src_compile() {
+       tc-export CXX
        append-cxxflags -std=c++14
-}
+       append-cppflags 
-DPUBLIC_DATA_DIRECTORY_VALUE="'\"${EPREFIX}/usr/share/${PN}\"'" \
+               
-DMANUAL_DIRECTORY_VALUE="'\"${EPREFIX}/usr/share/doc/${PF}/html\"'"
 
-src_compile() {
-       export CPPFLAGS="-DPUBLIC_DATA_DIRECTORY_VALUE='\"/usr/share/${PN}\"'"
-       export CPPFLAGS+=" 
-DMANUAL_DIRECTORY_VALUE='\"/usr/share/doc/${PF}/html\"'"
+       export VARTEXFONTS="${T}/fonts" #652028
        export OSTYPE=Linux
        export USE_NETWORK=false
        export USE_SOUND_ALUT=false # still marked experimental
+
        emake Version
-       emake -C src FreeDoko
+       emake -C src FreeDoko LIBS="${LDFLAGS}"
 }
 
 src_install() {
        newbin src/FreeDoko freedoko
+
        insinto /usr/share/${PN}/
        doins -r 
data/{backgrounds,cardsets,iconsets,rules,sounds,translations,*png}
-       find "${D}/usr/share/${PN}" -name Makefile -delete
-       dodoc AUTHORS README ChangeLog
+
        newicon -s 32 src/FreeDoko.png ${PN}.png
        make_desktop_entry ${PN} FreeDoko
-}
 
-pkg_preinst() {
-       gnome2_icon_savelist
-}
-
-pkg_postinst() {
-       gnome2_icon_cache_update
-}
+       einstalldocs
 
-pkg_postrm() {
-       gnome2_icon_cache_update
+       find "${ED}/usr/share/${PN}" -name Makefile -delete || die
 }

Reply via email to